ROHTO BUGS - Bug #1410

[ESS - LEAVE]perhitungan quota pada remaining quota dsb tidak menyesuaikan dengan apa yang
ada di master data Absence Quota jika melakukan pengajuan kedua kali nya walau kondisi workflow
unfinish

07/26/2022 03:54 PM - Muhammad Bintar

Status: Closed Start date: 07/26/2022
Priority: Normal Due date: 07/29/2022
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 8.00 hours
Description

Dear tim developer mohon support nya untuk perbaikan perhitungan pada quota di ESS Leave dimana pada pengajuan yang
pertama kali perhitungan nya betul dan sesuai,\

namun pada pengajuan yang kedua kali nya terjadi perhitungan yang tertukar antara Current Quota dengan Next Quota.
kemungkinan ini terjadi jika ada pengajuan ess sebelum nya yang unfinish, jika tidak ada ess sebelum nya yang unfinish maka
normal dan tidak salah perhitungan nya.
nama sp nya WFLeaveBlockDetail

seharusnya diisi di atas sini dan juga harus nya membaca
quota tahun sebelum nya.

yang dibaca malah salah

O o

History

#1 - 07/27/2022 03:11 PM - Muhammad Bintar
- Assignee changed from Saswanto Tampan to M Azid Wahyudi

aplikasi:
remote.minovais.com:61121
username minovais

sql server 2019
remote.minovais.com, 1445\MSSQLSERVER2019

#2 - 08/03/2022 03:06 PM - M Azid Wahyudi

- Status changed from New to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar
dear masbin ,, issue ini terjadi karena ada data yg pernah di ambil
paas di cek siapa yg ngambil di sp : WFLeaveBlockDetail

keliatan reglD mana yg pernah ngambil cuti

makasih

#3 - 08/10/2022 09:35 AM - Muhammad Bintar

- Status changed from QA Test to Developing
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

#4 - 08/18/2022 05:39 PM - M Azid Wahyudi
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin udah bisa di test ya ,,

issue ini terjadi :

karena query tidak ke kunci pada saat looping jadi ketika melakukan pengajuan ke 2 jadi labil

solvednya : kunci query ,, order by berdasarkan kebutuhan
kalau saat ini di order by startDed Asc
perbaikannya di sp : WFLeaveBlockDetail

makasih

#5 - 09/13/2022 07:48 AM - Kezia Pawitra Yulianti
- Status changed from Developing to QA Test

pls update hsil testnya, jika sudah di eksekusi dan deploy, silahkan close saja redmine ini

Tks

#6 - 09/13/2022 09:39 AM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

okeh sudah fix dan close
